import { getPortalSiteHostname } from "./get-portal-site-hostname";
/**
 * Construct the site url for a Portal Site item
 * @param {String} subdomain Subdomain for the site
 * @param {Object} portal Portal Self
 */
export function getPortalSiteUrl(subdomain, portal) {
    let protocol = "http:";
    if (portal.allSSL) {
        protocol = "https:";
    }
    const siteRoute = getPortalSiteHostname(subdomain, portal);
    return `${protocol}//${siteRoute}`;
}
//# sourceMappingURL=get-portal-site-url.js.map