import { getCardDependencies } from "./get-card-dependencies";
/**
 * Find all the cards for the given row
 *
 * @param {IRow} row
 */
export function getRowDependencies(row) {
    return row.cards.reduce((deps, card) => {
        const cardDeps = getCardDependencies(card);
        if (cardDeps.length) {
            deps = deps.concat(cardDeps);
        }
        return deps;
    }, []);
}
//# sourceMappingURL=get-row-dependencies.js.map