import { shareItemsToSiteGroups } from "./share-items-to-site-groups";
import { _updatePages } from "./_update-pages";
/**
 * Handle the Solution "Second Pass" for Site
 * @param {object} siteModel Site Model
 * @param {Array} solutionModels Array of all models created by the Solution
 * @param {IHubRequestOptions} hubRequestOptions
 */
export function siteSecondPass(siteModel, solutionModels, hubRequestOptions) {
    let secondPassPromises = [];
    // get all the items that are not the site
    secondPassPromises = secondPassPromises.concat(shareItemsToSiteGroups(siteModel, solutionModels, hubRequestOptions));
    // link the pages
    secondPassPromises = secondPassPromises.concat(_updatePages(siteModel, solutionModels, hubRequestOptions));
    return Promise.all(secondPassPromises);
}
//# sourceMappingURL=site-second-pass.js.map