"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ensurePortalDomainKeyword = void 0;
const _get_portal_domain_type_keyword_1 = require("./_get-portal-domain-type-keyword");
const hub_common_1 = require("@esri/hub-common");
/**
 * Ensure that an entry for the specified subdomain exists in the
 * typeKeyword array. Will also remove any other domain entries,
 * @param {String} subdomain Subdomain name
 * @param {Array} typeKeywords Array of typekeywords
 * @private
 */
function _ensurePortalDomainKeyword(subdomain, typeKeywords = []) {
    // if the current entry is in the keywords array, just return it
    const expectedKeyword = _get_portal_domain_type_keyword_1._getPortalDomainTypeKeyword(subdomain);
    if (hub_common_1.includes(typeKeywords, expectedKeyword)) {
        return typeKeywords;
    }
    else {
        return typeKeywords.reduce((acc, kw) => {
            if (!/^hubsubdomain/.test(kw)) {
                acc.push(kw);
            }
            return acc;
        }, [expectedKeyword]);
    }
}
exports._ensurePortalDomainKeyword = _ensurePortalDomainKeyword;
//# sourceMappingURL=_ensure-portal-domain-keyword.js.map