"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._getSecondPassSharingOptions = void 0;
const hub_common_1 = require("@esri/hub-common");
/**
 * Return a hash of settings for the groups, including the itemControl flag
 * Both, one or neither of these groups may exist
 * @param {object} siteModel Site Model
 * @private
 */
function _getSecondPassSharingOptions(siteModel) {
    return [
        { prop: "item.properties.contentGroupId", itemControl: false },
        { prop: "item.properties.collaborationGroupId", itemControl: true }
    ].reduce((acc, entry) => {
        const groupId = hub_common_1.getProp(siteModel, entry.prop);
        if (groupId) {
            acc.push({
                id: groupId,
                confirmItemControl: entry.itemControl
            });
        }
        return acc;
    }, []);
}
exports._getSecondPassSharingOptions = _getSecondPassSharingOptions;
//# sourceMappingURL=_get-second-pass-sharing-options.js.map