"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._getSharingEligibleModels = void 0;
const hub_common_1 = require("@esri/hub-common");
function _getIneligibleModelIds(siteModel, models, hubRequestOptions) {
    const fetchSurveyModels = (model) => hub_common_1.getSurveyModels(model.item, hubRequestOptions).then(({ form, featureService, fieldworker, stakeholder }) => [form, featureService, fieldworker, stakeholder].filter(Boolean));
    const inEligibleModelCollectionPromises = models.reduce((acc, model) => model.item.type === "Form" ? [...acc, fetchSurveyModels(model)] : acc, [Promise.resolve([siteModel])]);
    return Promise.all(inEligibleModelCollectionPromises).then((ineligibleModelCollections) => ineligibleModelCollections.reduce((acc, ineligibleModelCollection) => [
        ...acc,
        ...ineligibleModelCollection,
    ], []));
}
function _getSharingEligibleModels(siteModel, models, hubRequestOptions) {
    return _getIneligibleModelIds(siteModel, models, hubRequestOptions).then((ineligibleModels) => models.reduce((acc, model) => ineligibleModels.find(({ item: { id } }) => model.item.id === id)
        ? acc
        : [...acc, model], []));
}
exports._getSharingEligibleModels = _getSharingEligibleModels;
//# sourceMappingURL=_get-sharing-eligible-models.js.map