"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._removeParentInitiative = void 0;
const hub_common_1 = require("@esri/hub-common");
/**
 * Remove the parent initiative item, if it exists
 * Failsafe
 * @param {Object} siteModel Site Model
 * @param {IRequestOptions} requestOptions
 * @private
 */
function _removeParentInitiative(siteModel, requestOptions) {
    const parentInitiativeId = hub_common_1.getProp(siteModel, "item.properties.parentInitiativeId");
    if (parentInitiativeId) {
        const opts = Object.assign({ id: parentInitiativeId, owner: siteModel.item.owner }, requestOptions);
        return hub_common_1._unprotectAndRemoveItem(opts);
    }
    else {
        return Promise.resolve();
    }
}
exports._removeParentInitiative = _removeParentInitiative;
//# sourceMappingURL=_remove-parent-initiative.js.map