"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._removeSiteDomains = void 0;
const hub_common_1 = require("@esri/hub-common");
/**
 * Remove the domain entries for a site
 * @param {string} siteId Item Id of the site to remove the domain entries for
 * @param {IHubRequestOptions} hubRequestOptions
 * @private
 */
function _removeSiteDomains(siteId, hubRequestOptions) {
    if (hubRequestOptions.isPortal) {
        return Promise.resolve([]);
    }
    return hub_common_1.removeDomainsBySiteId(siteId, hubRequestOptions).then((response) => response);
}
exports._removeSiteDomains = _removeSiteDomains;
//# sourceMappingURL=_remove-site-domains.js.map