"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._getMostRecentDraftName = void 0;
const get_draft_date_1 = require("./get-draft-date");
const _get_draft_resource_names_1 = require("./_get-draft-resource-names");
/**
 * Gets the name of the most recent resource for the current draft.
 * NOTE: There _should_ only be one, but sometimes it gets messed up.
 * @param siteOrPageId
 * @param hubRequestOptions
 * @private
 */
function _getMostRecentDraftName(siteOrPageId, hubRequestOptions) {
    return _get_draft_resource_names_1._getDraftResourceNames(siteOrPageId, hubRequestOptions).then(draftNames => {
        if (!draftNames.length)
            return null;
        const dates = draftNames.map(name => [name, get_draft_date_1.getDraftDate(name)]);
        dates.sort(([_, dateA], [__, dateB]) => {
            if (dateB > dateA) {
                return 1;
            }
            else if (dateA > dateB) {
                return -1;
            }
            else {
                return 0;
            }
        });
        return dates[0][0];
    });
}
exports._getMostRecentDraftName = _getMostRecentDraftName;
//# sourceMappingURL=_get-most-recent-draft-name.js.map