"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._includeListFromItemType = void 0;
const site_draft_include_list_1 = require("./site-draft-include-list");
const page_draft_include_list_1 = require("./page-draft-include-list");
const is_site_1 = require("../is-site");
const pages_1 = require("../pages");
/**
 * Returns the right include list for the item type.
 * @param siteOrPageModel - the site or page model
 * @private
 */
function _includeListFromItemType(siteOrPageItem) {
    let includeList;
    if (is_site_1.isSite(siteOrPageItem)) {
        includeList = site_draft_include_list_1.SITE_DRAFT_INCLUDE_LIST;
    }
    else if (pages_1.isPage(siteOrPageItem)) {
        includeList = page_draft_include_list_1.PAGE_DRAFT_INCLUDE_LIST;
    }
    else {
        throw TypeError("@esri/hub-sites: drafts only belong to a site or a page item model");
    }
    return includeList;
}
exports._includeListFromItemType = _includeListFromItemType;
//# sourceMappingURL=_include-list-from-item-type.js.map