"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyDraft = void 0;
const hub_common_1 = require("@esri/hub-common");
const _include_list_from_item_type_1 = require("./_include-list-from-item-type");
/**
 * Applies a draft resource to an item model
 * @param {*} siteOrPageModel
 * @param {*} draft
 */
function applyDraft(siteOrPageModel, draft) {
    if (!draft)
        return siteOrPageModel;
    const includeList = _include_list_from_item_type_1._includeListFromItemType(siteOrPageModel.item);
    return hub_common_1.mergeObjects(draft, hub_common_1.cloneObject(siteOrPageModel), includeList);
}
exports.applyDraft = applyDraft;
//# sourceMappingURL=apply-draft.js.map