"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteDraft = void 0;
const arcgis_rest_portal_1 = require("@esri/arcgis-rest-portal");
const _get_draft_resource_names_1 = require("./_get-draft-resource-names");
/**
 * Given an item id, removes the current draft resource if exists
 * @param {*} siteOrPageId
 * @param {*} hubRequestOptions
 */
function deleteDraft(siteOrPageModel, hubRequestOptions) {
    const { item: { id, owner } } = siteOrPageModel;
    return _get_draft_resource_names_1._getDraftResourceNames(id, hubRequestOptions).then(draftResourceNames => Promise.all(draftResourceNames.map(resourceName => arcgis_rest_portal_1.removeItemResource({
        id,
        owner,
        resource: resourceName,
        portal: hubRequestOptions.portal,
        authentication: hubRequestOptions.authentication
    }))));
}
exports.deleteDraft = deleteDraft;
//# sourceMappingURL=delete-draft.js.map