"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchAndApplyDraft = void 0;
const hub_common_1 = require("@esri/hub-common");
const fetch_draft_1 = require("./fetch-draft");
const apply_draft_1 = require("./apply-draft");
/**
 * This function fetches and applies the draft
 * to the site or page if the draft is available.
 *
 * It returns a completely new object with the draft applied
 * if there is one, otherwise it just returns the site or
 * page model argument.
 *
 * @param {*} siteOrPageModel
 * @param {*} hubRequestOptions
 */
function fetchAndApplyDraft(siteOrPageModel, hubRequestOptions) {
    return fetch_draft_1.fetchDraft(hub_common_1.getProp(siteOrPageModel, "item.id"), hubRequestOptions).then(draft => apply_draft_1.applyDraft(siteOrPageModel, draft));
}
exports.fetchAndApplyDraft = fetchAndApplyDraft;
//# sourceMappingURL=fetch-and-apply-draft.js.map