"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasUnpublishedChanges = void 0;
const hub_common_1 = require("@esri/hub-common");
const unpublished_changes_kw_1 = require("./unpublished-changes-kw");
/**
 * Returns true if site or page model has unpublished changes
 * @param siteOrPageModel
 */
function hasUnpublishedChanges(siteOrPageModel) {
    return hub_common_1.includes(siteOrPageModel.item.typeKeywords, unpublished_changes_kw_1.UNPUBLISHED_CHANGES_KW);
}
exports.hasUnpublishedChanges = hasUnpublishedChanges;
//# sourceMappingURL=has-unpublished-changes.js.map