"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.markPublished = void 0;
const hub_common_1 = require("@esri/hub-common");
const unpublished_changes_kw_1 = require("./unpublished-changes-kw");
/**
 * Returns a copy of the model marked as having unpublished changes
 * @param {*} siteOrPageModel
 * @param {*} hubRequestOptions
 */
function markPublished(siteOrPageModel) {
    const model = hub_common_1.cloneObject(siteOrPageModel);
    model.item.typeKeywords = model.item.typeKeywords.filter(kw => kw !== unpublished_changes_kw_1.UNPUBLISHED_CHANGES_KW);
    return model;
}
exports.markPublished = markPublished;
//# sourceMappingURL=mark-published.js.map