"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDataForSiteItem = void 0;
const hub_common_1 = require("@esri/hub-common");
const arcgis_rest_portal_1 = require("@esri/arcgis-rest-portal");
/**
 * Get the data for a site item. Used by the UI to back-fill
 * a site model's `.data`, usually after we already have the item
 * as a result of a search.
 * Schema upgrades are applied.
 * @param {Object} item Site Item object
 * @param {IHubRequestOptions} hubRequestOptions
 */
function getDataForSiteItem(item, hubRequestOptions) {
    return arcgis_rest_portal_1.getItemData(item.id, hubRequestOptions).then((data) => {
        return hub_common_1.upgradeSiteSchema({
            item,
            data,
        });
    });
}
exports.getDataForSiteItem = getDataForSiteItem;
//# sourceMappingURL=get-data-for-site-item.js.map