"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPortalSiteUrl = void 0;
const get_portal_site_hostname_1 = require("./get-portal-site-hostname");
/**
 * Construct the site url for a Portal Site item
 * @param {String} subdomain Subdomain for the site
 * @param {Object} portal Portal Self
 */
function getPortalSiteUrl(subdomain, portal) {
    let protocol = "http:";
    if (portal.allSSL) {
        protocol = "https:";
    }
    const siteRoute = get_portal_site_hostname_1.getPortalSiteHostname(subdomain, portal);
    return `${protocol}//${siteRoute}`;
}
exports.getPortalSiteUrl = getPortalSiteUrl;
//# sourceMappingURL=get-portal-site-url.js.map