"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSiteDependencies = void 0;
const hub_common_1 = require("@esri/hub-common");
const layout_1 = require("./layout");
/**
 * Return a list of items this site depends on
 */
function getSiteDependencies(model) {
    const pages = hub_common_1.getProp(model, "data.values.pages") || [];
    const pageIds = pages.map((p) => p.id);
    const layout = hub_common_1.getProp(model, "data.values.layout") || {};
    const layoutDepIds = layout_1.getLayoutDependencies(layout);
    return layoutDepIds.concat(pageIds);
}
exports.getSiteDependencies = getSiteDependencies;
//# sourceMappingURL=get-site-dependencies.js.map