"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertRow = void 0;
const convert_card_1 = require("./convert-card");
/**
 * Convert a row, collecting assets along the way...
 * @param {IRow} row the row to templatize
 */
function convertRow(row) {
    // if the section has a background image, and it has a url, we should
    // add that to the asset hash so it can be downloaded and added to the template item
    // and also cook some unique asset name so we can inject a placeholder
    return row.cards.reduce(convertToTemplatizedCard, { assets: [], cards: [] });
}
exports.convertRow = convertRow;
function convertToTemplatizedCard(acc, card) {
    const result = convert_card_1.convertCard(card);
    acc.assets = acc.assets.concat(result.assets);
    acc.cards.push(result.card);
    return acc;
}
//# sourceMappingURL=convert-row.js.map