"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLayoutDependencies = void 0;
const get_section_dependencies_1 = require("./get-section-dependencies");
/**
 * Find all the section/row/card dependencies for the given layout
 *
 * @param {ILayout} layout
 */
function getLayoutDependencies(layout) {
    return layout.sections.reduce((deps, section) => {
        return deps.concat(get_section_dependencies_1.getSectionDependencies(section));
    }, []);
}
exports.getLayoutDependencies = getLayoutDependencies;
//# sourceMappingURL=get-layout-dependencies.js.map