"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRowDependencies = void 0;
const get_card_dependencies_1 = require("./get-card-dependencies");
/**
 * Find all the cards for the given row
 *
 * @param {IRow} row
 */
function getRowDependencies(row) {
    return row.cards.reduce((deps, card) => {
        const cardDeps = get_card_dependencies_1.getCardDependencies(card);
        if (cardDeps.length) {
            deps = deps.concat(cardDeps);
        }
        return deps;
    }, []);
}
exports.getRowDependencies = getRowDependencies;
//# sourceMappingURL=get-row-dependencies.js.map