"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSectionDependencies = void 0;
const get_row_dependencies_1 = require("./get-row-dependencies");
/**
 * Find all the row and card dependencies for the given section
 *
 * @param {ISection} section
 */
function getSectionDependencies(section) {
    return section.rows.reduce((deps, row) => {
        return deps.concat(get_row_dependencies_1.getRowDependencies(row));
    }, []);
}
exports.getSectionDependencies = getSectionDependencies;
//# sourceMappingURL=get-section-dependencies.js.map