"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeSiteFromPage = void 0;
const hub_common_1 = require("@esri/hub-common");
/**
 * Remove a Site from the Page's list of sites it is connected to
 * @param {String} siteId Id of the site to unlink from the page
 * @param {Object} pageModel Page Model
 */
function removeSiteFromPage(siteId, pageModel) {
    // look for the site in the page hash...
    return hub_common_1.getWithDefault(pageModel, "data.values.sites", []).filter((e) => {
        return e.id !== siteId;
    });
}
exports.removeSiteFromPage = removeSiteFromPage;
//# sourceMappingURL=remove-site-from-page.js.map