"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.siteSecondPass = void 0;
const share_items_to_site_groups_1 = require("./share-items-to-site-groups");
const _update_pages_1 = require("./_update-pages");
/**
 * Handle the Solution "Second Pass" for Site
 * @param {object} siteModel Site Model
 * @param {Array} solutionModels Array of all models created by the Solution
 * @param {IHubRequestOptions} hubRequestOptions
 */
function siteSecondPass(siteModel, solutionModels, hubRequestOptions) {
    let secondPassPromises = [];
    // get all the items that are not the site
    secondPassPromises = secondPassPromises.concat(share_items_to_site_groups_1.shareItemsToSiteGroups(siteModel, solutionModels, hubRequestOptions));
    // link the pages
    secondPassPromises = secondPassPromises.concat(_update_pages_1._updatePages(siteModel, solutionModels, hubRequestOptions));
    return Promise.all(secondPassPromises);
}
exports.siteSecondPass = siteSecondPass;
//# sourceMappingURL=site-second-pass.js.map