import { IRequestOptions } from "@esri/arcgis-rest-request";
import { IHubRequestOptions } from "@esri/hub-common";
/**
 * Get the domains associated with a Hub Site.
 * @param siteId - Identifier of the Hub Site
 * @param requestOptions - request options that may include authentication
 * @returns A Promise that will resolve with the domains associated with the site.
 */
export declare function getDomains(siteId: string, requestOptions?: IRequestOptions | IHubRequestOptions): Promise<any>;
/**
 * Get the domain associated with a Hub Site. Since a site may have a
 * custom domain, in addition to a default domain, we will return the
 * custom domain over the default domain.
 *
 * @param siteId - Identifier of the Hub Site
 * @param requestOptions - request options that may include authentication
 * @returns A Promise that will resolve with the domains associated with the site.
 */
export declare function getDomain(siteId: string, requestOptions?: IRequestOptions): Promise<any>;
