import { IUser } from "@esri/arcgis-rest-types";
import { IHubRequestOptions } from "@esri/hub-common";
/**
 * Fetches and returns members given a list of usernames
 *
 * NOTE: AGO's user search endpoint is only available to
 * authenticated users; however, since unauthenticated users
 * should still be able to access public profiles, we support
 * fetching members for both unauthenticated/authenticated
 * users in this function
 *
 * @param {string[]} usernames List of usernames to search for
 * @param {object} requestOptions IHubRequestOptions
 */
export declare function getMembers(usernames: string[], requestOptions: IHubRequestOptions): Promise<IUser[]>;
