/**
 * Wrapper for @esri/hub-common's `interpolate()`
 *
 * Some properties on siteTemplate are nested adlib templates that
 * need to be interpolated at runtime, not template activation time.
 * As such, this wrapper ensures that adlib does not process those
 * properties.
 *
 * Currently ignored properties include:
 * - `data.values.dcatConfig` (legacy DCAT-US 1.1 config with index value paths)
 * - `data.feeds (Home to all feed configs with v3 api value paths)
 *
 * @param siteTemplate
 * @param settings
 * @param transforms
 */
export declare function interpolateSite(siteTemplate: any, settings: any, transforms?: any): any;
