import { IModelTemplate, IHubRequestOptions, IModel } from "@esri/hub-common";
/**
 * Given a template, settings and transformation hashes, construct the new Page model.
 * Altough this is async, it does not persist the page
 * @param {Object} template Json Template of the Page
 * @param {Object} settings Hash of values to use in the interpolation
 * @param {Object} transforms Hash of transrormation functions available during interpolation
 * @param {IHubRequestOptions} requestOptions
 */
export declare function createPageModelFromTemplate(template: IModelTemplate, settings: any, transforms: any, hubRequestOptions: IHubRequestOptions): Promise<IModel>;
