import { IHubRequestOptions, IModelTemplate, IItemResource, IModel } from "@esri/hub-common";
/**
 * Given a Page model, create the item, protect it, share it, connect it to the site
 * and upload any resources.
 * @param {Object} model Page model to be created as an Item
 * @param {Object} options object containing shareTo, and space for future additions
 * @param {IHubRequestOptions} hubRequestOptions IRequestOptions object, with isPortal
 */
export declare function createPage(model: IModelTemplate, options: {
    shareTo?: any[];
    assets?: IItemResource[];
}, hubRequestOptions: IHubRequestOptions): Promise<IModel>;
