import { IModel, IUpdatePageOptions } from "@esri/hub-common";
import { IUpdateItemResponse } from "@esri/arcgis-rest-portal";
/**
 * Update a Page item
 * @param {Object} model Page Model
 * @param {IUpdatePageOptions} updateSiteOptions
 *
 * This function supports the equivalent of a PATCH REST operation
 * It will fetch the current item from ago, and then apply
 * a subset of property changes to the model if a patchList is included.
 * The patchList can include any property paths on the item.
 * If the list is empty, then the entire page model is overwritten.
 * TODO: Add calls to remove unused image resources
 */
export declare function updatePage(model: IModel, updateSiteOptions: IUpdatePageOptions): Promise<IUpdateItemResponse>;
