import { IModel, IUpdateSiteOptions } from "@esri/hub-common";
import { IUpdateItemResponse } from "@esri/arcgis-rest-portal";
/**
 * Update an existing site item
 * This function supports the equivalent of a PATCH REST operation
 * It will fetch the current item from ago, and then apply
 * a subset of property changes to the model if a allowList is included.
 * The allowList can include any property paths on the item.
 * If the list is empty, then the entire site model is overwritten.
 * @param {Object} model Site Model to update
 * @param {IUpdateSiteOptions} updateSiteOptions
 */
export declare function updateSite(model: IModel, updateSiteOptions: IUpdateSiteOptions): Promise<IUpdateItemResponse>;
